Class | Chef::Provider::User::Useradd
In: | lib/chef/provider/user/useradd.rb
Parent: | Chef::Provider::User

### Methods

check_lock compile_command create_user lock_user manage_user managing_home_dir? remove_user universal_options unlock_user updating_home? useradd_options

### Constants

UNIVERSAL_OPTIONS | = | [[:comment, "-c"], [:gid, "-g"], [:password, "-p"], [:shell, "-s"], [:uid, "-u"]]

### Public Instance methods

check_lock()
compile_command(base_command) {|base_command| ...}
create_user()
lock_user()
manage_user()
managing_home_dir?()
remove_user()
universal_options()
unlock_user()
updating_home?()
useradd_options()

[Validate]